libzypp: zyppng::RepoDownloaderWorkflow Namespace Reference

libzypp 17.36.6

Functions
zyppng::RepoDownloaderWorkflow Namespace Reference

## Functions
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | downloadMasterIndex (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle, zypp::filesystem::Pathname masterIndex_r)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | downloadMasterIndex (repo::AsyncDownloadContextRef dl, AsyncLazyMediaHandle mediaHandle, zypp::filesystem::Pathname masterIndex_r)
expected< repo::SyncDownloadContextRef > | downloadMasterIndex (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle, zypp::filesystem::Pathname masterIndex_r)
expected< repo::SyncDownloadContextRef > | downloadMasterIndex (repo::SyncDownloadContextRef dl, SyncLazyMediaHandle mediaHandle, zypp::filesystem::Pathname masterIndex_r)
AsyncOpRef< expected< zypp::RepoStatus > > | repoStatus (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle)
AsyncOpRef< expected< zypp::RepoStatus > > | repoStatus (repo::AsyncDownloadContextRef dl, AsyncLazyMediaHandle mediaHandle)
expected< zypp::RepoStatus > | repoStatus (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle)
expected< zypp::RepoStatus > | repoStatus (repo::SyncDownloadContextRef dl, SyncLazyMediaHandle mediaHandle)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | download (repo::AsyncDownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver=nullptr)
AsyncOpRef< expected< repo::AsyncDownloadContextRef > > | download (repo::AsyncDownloadContextRef dl, AsyncLazyMediaHandle mediaHandle, ProgressObserverRef progressObserver)
expected< repo::SyncDownloadContextRef > | download (repo::SyncDownloadContextRef dl, SyncMediaHandle mediaHandle, ProgressObserverRef progressObserver=nullptr)
expected< repo::SyncDownloadContextRef > | download (repo::SyncDownloadContextRef dl, SyncLazyMediaHandle mediaHandle, ProgressObserverRef progressObserver)
template<typename MediaHandle>
auto | downloadMediaInfo (MediaHandle &&mediaHandle, const zypp::filesystem::Pathname &destdir)

## Function Documentation

## ◆ downloadMasterIndex() [1/4]

AsyncOpRef< expected< repo::AsyncDownloadContextRef > > zyppng::RepoDownloaderWorkflow::downloadMasterIndex | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | zypp::filesystem::Pathname | masterIndex_r )

Definition at line 294 of file repodownloaderwf.cc.

## ◆ downloadMasterIndex() [2/4]

AsyncOpRef< expected< repo::AsyncDownloadContextRef > > zyppng::RepoDownloaderWorkflow::downloadMasterIndex | ( | repo::AsyncDownloadContextRef | dl,
|  | AsyncLazyMediaHandle | mediaHandle,
|  | zypp::filesystem::Pathname | masterIndex_r )

Definition at line 304 of file repodownloaderwf.cc.

## ◆ downloadMasterIndex() [3/4]

expected< repo::SyncDownloadContextRef > zyppng::RepoDownloaderWorkflow::downloadMasterIndex | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle,
|  | zypp::filesystem::Pathname | masterIndex_r )

Definition at line 299 of file repodownloaderwf.cc.

## ◆ downloadMasterIndex() [4/4]

expected< repo::SyncDownloadContextRef > zyppng::RepoDownloaderWorkflow::downloadMasterIndex | ( | repo::SyncDownloadContextRef | dl,
|  | SyncLazyMediaHandle | mediaHandle,
|  | zypp::filesystem::Pathname | masterIndex_r )

Definition at line 313 of file repodownloaderwf.cc.

## ◆ repoStatus() [1/4]

AsyncOpRef< expected< zypp::RepoStatus > > zyppng::RepoDownloaderWorkflow::repoStatus | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Definition at line 348 of file repodownloaderwf.cc.

## ◆ repoStatus() [2/4]

AsyncOpRef< expected< zypp::RepoStatus > > zyppng::RepoDownloaderWorkflow::repoStatus | ( | repo::AsyncDownloadContextRef | dl,
|  | AsyncLazyMediaHandle | mediaHandle )

Definition at line 356 of file repodownloaderwf.cc.

## ◆ repoStatus() [3/4]

expected< zypp::RepoStatus > zyppng::RepoDownloaderWorkflow::repoStatus | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle )

Definition at line 352 of file repodownloaderwf.cc.

## ◆ repoStatus() [4/4]

expected< zypp::RepoStatus > zyppng::RepoDownloaderWorkflow::repoStatus | ( | repo::SyncDownloadContextRef | dl,
|  | SyncLazyMediaHandle | mediaHandle )

Definition at line 364 of file repodownloaderwf.cc.

## ◆ download() [1/4]

AsyncOpRef< expected< repo::AsyncDownloadContextRef > > zyppng::RepoDownloaderWorkflow::download | ( | repo::AsyncDownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver = nullptr )

Definition at line 394 of file repodownloaderwf.cc.

## ◆ download() [2/4]

AsyncOpRef< expected< repo::AsyncDownloadContextRef > > zyppng::RepoDownloaderWorkflow::download | ( | repo::AsyncDownloadContextRef | dl,
|  | AsyncLazyMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 404 of file repodownloaderwf.cc.

## ◆ download() [3/4]

expected< repo::SyncDownloadContextRef > zyppng::RepoDownloaderWorkflow::download | ( | repo::SyncDownloadContextRef | dl,
|  | SyncMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver = nullptr )

Definition at line 399 of file repodownloaderwf.cc.

## ◆ download() [4/4]

expected< repo::SyncDownloadContextRef > zyppng::RepoDownloaderWorkflow::download | ( | repo::SyncDownloadContextRef | dl,
|  | SyncLazyMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 413 of file repodownloaderwf.cc.

## ◆ downloadMediaInfo()

template<typename MediaHandle>

auto zyppng::RepoDownloaderWorkflow::downloadMediaInfo | ( | MediaHandle && | mediaHandle,
|  | const zypp::filesystem::Pathname & | destdir )

Definition at line 53 of file repodownloaderwf.h.